<?php
/**
* Plugin Name: Knjižnice: Vtičnik enote
* Plugin URI: https://www.knjiznice.si
* Description: Urejanje in prikazovanje enot knjižnice na spletni strani.
* Version: 1.1.1
* Author: TrueCAD d.o.o.
* Author URI: https://www.truecad.si/
**/

/** CUSTOM TYPE */
function knjiznice_register_posttype_enote() {
		
	$supports = array(
		'title', // post title
		'editor', // post content
		'author', // post author
		'thumbnail', // featured images
		'revisions', // post revisions
		'post-formats' // post formats
	);
	
	$labels = array(
		'name' => __('Enote', 'knjiznice'),
        'singular_name' => __('Enota', 'knjiznice'),
		'menu_name' => __('Enote', 'knjiznice'),
		'name_admin_bar' => __('Enote', 'knjiznice'),
		'add_new' => __('Dodaj novo', 'knjiznice'),
		'add_new_item' => __('Dodaj novo enoto', 'knjiznice'),
		'new_item' => __('Nova enota', 'knjiznice'),
		'edit_item' => __('Uredi enoto', 'knjiznice'),
		'view_item' => __('Poglej enoto', 'knjiznice'),
		'all_items' => __('Vse enote', 'knjiznice'),
		'search_items' => __('Iskanje enot', 'knjiznice'),
		'not_found' => __('Ni enot.', 'knjiznice')
	);
	
    register_post_type( 'enote',
        array(
			'supports' => $supports,
            'labels' => $labels,
            'public' => true,
            'has_archive' => true,
            'rewrite' => array('slug' => 'enote'),
        )
    );
}
add_action( 'init', 'knjiznice_register_posttype_enote' );

/** ORDER */

function knjiznice_order_posttype_enote($query) {
   if ($query->is_main_query() && $query->is_post_type_archive('enote') && !is_admin()) {
       $query->set('orderby', 'title');
       $query->set('order', 'ASC');	   
       $query->set('posts_per_page', 50);	   
   }
}
add_action( 'pre_get_posts', 'knjiznice_order_posttype_enote' );


function knjiznice_enote_add_scripts() {
	if (!is_admin()) {
		wp_enqueue_script('knjiznice-enote-js', plugin_dir_url(__FILE__).'js/script.js', array(), '1.1.1' );
	}
}
add_action( 'wp_enqueue_scripts', 'knjiznice_enote_add_scripts' );