<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<?php
	$colortheme = !empty($_COOKIE["colortheme"]) ? $_COOKIE["colortheme"] : 'theme0';
	$fontstyle = !empty($_COOKIE["fontstyle"]) ? $_COOKIE["fontstyle"] : 'font0';
	$fontsize = !empty($_COOKIE["fontsize"]) ? $_COOKIE["fontsize"] : 'size0';
	$cursorsize = !empty($_COOKIE["cursorsize"]) ? $_COOKIE["cursorsize"] : 'cursor0';
?>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary" aria-label="Skok na glavno vsebino"><?php echo __('Skok na glavno vsebino', 'knjiznice'); ?></a>
	<a class="skip-link screen-reader-text" href="/izjava-o-dostopnosti" aria-label="Izjava o dostopnosti"><?php echo __('izjava o dostopnosti', 'knjiznice'); ?></a>
	
	<div id="toolbar-top" class="d-none d-lg-block">
		<div class="accessibility-module">
			<div class="accessibility-content" role="region" aria-label="Nastavitve za uporabnike s posebnimi potrebami">
				<div class="container">
					<div class="row">
						<div class="col-12"><h2><?php echo __('Nastavitve za uporabnike s posebnimi potrebami', 'knjiznice'); ?></h2></div>
						<div class="col-md-4">  
							<h3><?php echo __('Barvna tema', 'knjiznice'); ?></h3>							
							<div id="barvneTemeWrapper" role="region" aria-label="<?php echo __('Barvna tema', 'knjiznice'); ?>">	
								<a href="" class="default_theme" theme="0"><?php if ($colortheme == 'theme0'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?><?php echo __('Privzete barve', 'knjiznice'); ?></a>									
								<a href="" class="black_on_white_theme" theme="1"><?php if ($colortheme == 'theme1'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?><?php echo __('Črn tekst na beli podlagi', 'knjiznice'); ?></a>									
								<a href="" class="white_on_black_theme" theme="2"><?php if ($colortheme == 'theme2'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?><?php echo __('Bel tekst na črni podlagi', 'knjiznice'); ?></a>									
								<a href="" class="yellow_on_blue_theme" theme="3"><?php if ($colortheme == 'theme3'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?><?php echo __('Rumen tekst na modri podlagi', 'knjiznice'); ?></a>									
								<a href="" class="black_on_beige_theme" theme="4"><?php if ($colortheme == 'theme4'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?><?php echo __('Črn tekst na bež podlagi', 'knjiznice'); ?></a>									
								<a href="" class="green_on_black_theme" theme="5"><?php if ($colortheme == 'theme5'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?><?php echo __('Zelen tekst na črni podlagi', 'knjiznice'); ?></a>								
							</div>						 
						</div>	
						<div class="col-md-4">       								
							<h3><?php echo __('Pisava', 'knjiznice'); ?></h3>
							<div id="fontWrapper" role="region" aria-label="<?php echo __('Tip pisave', 'knjiznice'); ?>">
								<a href="" class="font_default" fontstyle="0"><?php if ($fontstyle == 'font0'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?><?php echo __('Privzeto', 'knjiznice'); ?> (Roboto + Open Sans)</a>
								<a href="" class="font_od" fontstyle="1"><?php if ($fontstyle == 'font1'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>Open Dyslexic</a>
								<a href="" class="font_arial" fontstyle="2"><?php if ($fontstyle == 'font2'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>Arial</a>
								<a href="" class="font_tnr" fontstyle="3"><?php if ($fontstyle == 'font3'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>Times New Roman</a>
								<a href="" class="font_tahoma" fontstyle="4"><?php if ($fontstyle == 'font4'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>Tahoma</a>
								<a href="" class="font_verdana" fontstyle="5"><?php if ($fontstyle == 'font5'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>Verdana</a>
							</div>
						</div>	
						<div class="col-md-4">       								
							<h3><?php echo __('Velikost', 'knjiznice'); ?></h3>
							<div id="sizeWrapper" role="region" aria-label="<?php echo __('Povečava teksta', 'knjiznice'); ?>">
								<a href="" fontsize="0" aria-label="<?php echo __('sto odstotkov', 'knjiznice'); ?>"><?php if ($fontsize == 'size0'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>100%</a>
								<a href="" fontsize="1" aria-label="<?php echo __('sto petindvajset odstotkov', 'knjiznice'); ?>"><?php if ($fontsize == 'size1'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>125%</a>
								<a href="" fontsize="2" aria-label="<?php echo __('sto petdeset odstotkov', 'knjiznice'); ?>"><?php if ($fontsize == 'size2'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>150%</a>
								<a href="" fontsize="3" aria-label="<?php echo __('dvesto odstotkov', 'knjiznice'); ?>"><?php if ($fontsize == 'size3'): ?><i class="fa fa-check" aria-hidden="true"></i>&nbsp;&nbsp;<?php endif; ?>200%</a>
							</div>
							<div id="cursorWrapper" role="region" aria-label="<?php echo __('Povečava kurzorja miške', 'knjiznice'); ?>">
								<div><input name="cursorsize" type="radio" value="0" id="cursor0"<?php if ($cursorsize == 'cursor0'): ?> checked<?php endif; ?>> <label for="cursor0"><img src="/wp-content/themes/knjiznice/cursor/cursor-default.png"></label></div>
								<div><input name="cursorsize" type="radio" value="50" id="cursor50"<?php if ($cursorsize == 'cursor50'): ?> checked<?php endif; ?>> <label for="cursor50"><img src="/wp-content/themes/knjiznice/cursor/cursor-50.png"></label></div>
								<div><input name="cursorsize" type="radio" value="80" id="cursor80"<?php if ($cursorsize == 'cursor80'): ?> checked<?php endif; ?>> <label for="cursor80"><img src="/wp-content/themes/knjiznice/cursor/cursor-80.png"></label></div>
							</div>
						</div>			
					</div>
				</div>
				<div class="accessibility-close" onclick="accessibilityMain(); return false;"><a href="/" class="accessibility-close-link"><?php echo __('Zapri nastavitve', 'knjiznice'); ?></a></div>
			</div>
		</div>
		<div class="container">
			<div class="row tools">
				<div class="col-xl-7 col-lg-8 menu-top" role="region" aria-label="Zgornji meni">
					<?php wp_nav_menu(array('theme_location' => 'menu-top','menu_id'=> 'menu-top')); ?>
				</div>
				<div class="col-xl-5 col-lg-4 addons-top">
					<div class="knjiznicesi-logo">
						<a href="https://www.knjiznice.si" target="_blank" aria-label="Portal združenja splošnih knjižnic"><img alt="logo združenja knjižnic" src="<?php echo get_site_url(); ?>/wp-content/themes/knjiznice/images/knjiznicesi-logo.jpg" /></a>
					</div>
					<a class="d-md-none d-xl-inline link-accessibility" onclick="accessibilityMain(); return false;" href="" aria-label="<?php echo __('Prilagoditev za slabovidne uporabnike', 'knjiznice'); ?>"><i class="fa fa-eye-slash"></i> <?php echo __('Prilagoditev strani', 'knjiznice'); ?></a>
					<a class="d-inline d-xl-none link-accessibility" onclick="accessibilityMain(); return false;" href="" aria-label="<?php echo __('Prilagoditev za slabovidne uporabnike', 'knjiznice'); ?>"><i class="fa fa-eye-slash"></i></a>
					<?php if ( function_exists('icl_object_id') ) : ?>
					<div role="region" aria-label="<?php echo __('jezik strani', 'knjiznice'); ?>" style="display:inline-block;">
						<?php do_action('icl_language_selector'); ?>	
					</div>
					<?php endif; ?>
				</div>
				
			</div>
		</div>
	</div>
	
	<header>
		<div class="logo-search-container">
			<div class="container">
				<div class="row">
					<div class="col-1 d-block d-lg-none show-mobile-menu" tabindex="0" role="button" aria-label="<?php echo __('prikaži meni', 'knjiznice'); ?>"><i class="fa fa-bars" aria-hidden="true"></i></div>
					<div class="col-8 col-lg-3 logo">
						<?php
						the_custom_logo();
						$knjiznice_description = get_bloginfo( 'description', 'display' );
						if ( $knjiznice_description || is_customize_preview() ) :
							?>
							<p class="site-description"><?php echo $knjiznice_description; /* WPCS: xss ok. */ ?></p>
						<?php endif; ?>
					</div>
					<div class="col-3 d-block d-lg-none search-container-mobile">
						<div class="search-button" tabindex="0" role="button" aria-label="<?php echo __('prikaži iskanje', 'knjiznice'); ?>"><i class="fa fa-search" aria-hidden="true"></i></div>
						<div class="search-container-inner">
							<?php if (is_active_sidebar( 'search' )) : ?>
								<?php dynamic_sidebar( 'search' ); ?>
							<?php endif; ?>
						</div>
					</div>
					<div class="offset-lg-1 col-lg-8 d-none d-lg-block search-container">
						<div class="search-container-inner">
							<?php if (is_active_sidebar( 'search' )) : ?>
								<?php dynamic_sidebar( 'search' ); ?>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="navigation-container d-none d-lg-block">
			<div class="container">
				<div class="row">
					<div class="col-md-12 main-navigation">
						<nav role="region" aria-label="<?php echo __('glavni meni', 'knjiznice'); ?>">
							<?php wp_nav_menu(array('theme_location' => 'menu-main','menu_id'=> 'menu-main')); ?>
						</nav>
					</div>			
				</div>
			</div>
		</div>
		<div class="navigation-container-mobile">
			<div class="close-button" tabindex="0" role="button" aria-label="<?php echo __('zapri meni', 'knjiznice'); ?>"><i class="fa fa-times" aria-hidden="true"></i></div>
			<nav>
				<?php wp_nav_menu(array('theme_location' => 'menu-top','menu_id'=> 'menu-top-mobile')); ?>
			</nav>
			<nav>
				<?php wp_nav_menu(array('theme_location' => 'menu-main','menu_id'=> 'menu-main-mobile')); ?>
			</nav>
		</div>
	</header>
