<?php

function template_custom_widgets() {
    register_widget('knjiznice_widget_search');   
	register_widget('knjiznice_zadnje_novice');
	register_widget('knjiznice_sidebar_menu');	
	
}
add_action('widgets_init', 'template_custom_widgets');

if (!class_exists('knjiznice_widget_search')) {
	class knjiznice_widget_search extends WP_Widget {
		function __construct() {
			parent::__construct('knjiznice_widget_search', __('Iskalnik', 'knjiznice'), array( 'description' => __( 'Iskalnik po strani', 'knjiznice' )));
		}
		
		public function widget( $args, $instance ) {
			$title = apply_filters('widget_title', $instance['title']);
			echo $args['before_widget'];
			if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
			$search_string = !empty($_GET['s']) ? $_GET['s']:'';
			?>
			<form action="<?php echo get_site_url(); ?>" method="GET">
				<input type="text" name="s" placeholder="<?php echo __('iskanje po strani', 'knjiznice'); ?>" value="<?php echo $search_string; ?>" />
				<button type="submit" aria-label="<?php echo __('najdi', 'knjiznice'); ?>"><i class="fa fa-search" aria-hidden="true"></i></button>
			</form>		
			<?php
			echo $args['after_widget'];
		}
		
		public function form($instance) {
			$title = '';
			if (isset($instance['title'])) $title = $instance['title'];
			else $title = __('', 'knjiznice');
			
			?>
			<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
			</p>
			<?php 
		}
		
		public function update($new_instance, $old_instance) {
			$instance = array();
			$instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';
			$instance['cobissakronim'] = (!empty($new_instance['cobissakronim'])) ? strip_tags($new_instance['cobissakronim']) : '';
			return $instance;
		}
	}
}

if (!class_exists('knjiznice_zadnje_novice')) {
	class knjiznice_zadnje_novice extends WP_Widget {	
		function __construct() {
			parent::__construct('knjiznice_zadnje_novice', __('Zadje novice - Prva stran', 'knjiznice'), array( 'description' => __( 'Prikaz zadnjih novic na prvi strani', 'knjiznice' )));
		}		

		public function form($instance) {
			   $instance['postCats'] = !empty($instance['postCats']) ? explode(",",$instance['postCats']) : array();
				?>
					<p>
						<label for="<?php echo $this->get_field_id( 'postCats' ); ?>"><?php _e( 'Izberi kategorije:' ); ?></label><br />
						<?php 
						
						$args = array(
								'post_type' => 'post',
								'taxonomy' => 'category',
							);
						$terms = get_terms( $args );
						 foreach( $terms as $id => $name ) { 
							$checked = "";
							if(in_array($name->name,$instance['postCats'])){
								$checked = "checked='checked'";
							}
						?>
							<input type="checkbox" class="checkbox" id="<?php echo $this->get_field_id('postCats'); ?>" name="<?php echo $this->get_field_name('postCats[]'); ?>" value="<?php echo $name->name; ?>"  <?php echo $checked; ?>/>
							<label for="<?php echo $this->get_field_id('postCats'); ?>"><?php echo $name->name; ?></label><br />
						<?php } ?>
					</p>			
				
				<?php
				

		}
		public function update($new_instance, $old_instance) 
		{
			$instance = $old_instance;
			$instance['postCats'] = !empty($new_instance['postCats']) ? implode(",",$new_instance['postCats']) : 0;
		 
			return $instance;
		}
			
		public function widget( $args, $instance ) {	
			extract($args);
			$postCats = $instance[ 'postCats' ];
			
			$k = new WP_Query($postCats);
			
			$r = new WP_Query( apply_filters( 'widget_posts_args', array( 'posts_per_page' => 3, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) );	
			
			$args = array(
				'post_type' => 'post',
				'post_status' => 'publish',
				'category_name' => ''.$postCats.'',
				'posts_per_page' => 3,
			);
			$arr_posts = new WP_Query( $args );
			
			?>									
			<div class="row latest-news" style="padding: 50px 0">			
			<?php				
			if($arr_posts->have_posts()) { 			
				while($arr_posts->have_posts()) { 				
					$arr_posts->the_post();				
					?>	          
					
					<div class="col-md-4">		
						<div class="post-media mb-25">			
							<a href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1"><?php the_post_thumbnail( 'post-thumbnail' );?></a>			
						</div>						
						<div class="post-content">				
							<a href="<?php the_permalink(); ?>"><h3 class="entry-title"><?php the_title();?></h3></a>			
							<div class="post-meta"><?php echo get_the_date(); ?></div> 							
							<p class="post-excerpt"><?php the_excerpt();?></p>		
						</div>	
					</div>	<?php				
				} 				
				wp_reset_postdata(); 			
			}			
			?>			
			</div>	
			<?php	
		}	
	}
}

if (!class_exists('knjiznice_sidebar_menu')) {
	class knjiznice_sidebar_menu extends WP_Widget {
		function __construct() {
			parent::__construct('knjiznice_sidebar_menu', __('Stranski menu', 'knjiznice'), array( 'description' => __( 'Stranski menu Knjižnice', 'knjiznice' )));	
		}
			
		public function widget( $args, $instance )
		{
			$current_page_id = get_the_id();
			$post   = get_post( $current_page_id );
			if ( $post->post_parent ) {
				$direct_parent = $post->post_parent;
			} else {
				$direct_parent = $current_page_id;
			}
			$title = get_the_title($direct_parent);
			if ( $title ) {
				echo $args['before_title'] . $title . $args['after_title'];
			}
			$args = array('child_of' => $direct_parent,
				'parent' => $direct_parent,
				'hierarchical' => 0,
				'sort_column' => $instance["orderby"],
				'sort_order' => $instance["sort_order"]
			);
			$current_page_children = get_pages( $args );?>
			<ul class="menu">
			<?php foreach ($current_page_children as $child_page): ?>
				<li class="menu-item<?php if($child_page->ID == $current_page_id) echo " current-menu-item"; ?>">
					<a href="<?php echo get_permalink($child_page->ID); ?>"><?php echo $child_page->post_title; ?></a>
				</li>
			<?php endforeach; ?>
			</ul>
			<?php	
			
		}
		public function update( $new_instance, $old_instance ) { 
			$instance = $old_instance;
			$instance['orderby'] = !empty($new_instance['orderby']) ? $new_instance['orderby'] : '';
			$instance['sort_order'] = !empty($new_instance['sort_order']) ? $new_instance['sort_order'] : '';

			return $instance;
		}
		public function form( $instance )
		{	
			 $instance['orderby'] = !empty($instance['orderby']) ? $instance['orderby'] : 'title' ;
				?>
					<p>
						<label for="<?php echo $this->get_field_id( 'orderby' ); ?>"><?php _e( 'Razvrsti po:' ); ?></label> 
					
								<select id="<?php echo $this->get_field_id('orderby'); ?>" name="<?php echo $this->get_field_name('orderby'); ?>"><?php //select boxu dolocimo id ?>
								  <option value="title" <?php echo $instance['orderby'] == "title" ? 'selected="selected"' : ''; ?>>Title</option><?php //preverjamo ce je vrednost instance enaka titlo, ce je ga zberemo kot selected, ce ne pa blank ?>
								  <option value="menu_order" <?php echo $instance['orderby'] == "menu_order" ? 'selected="selected"' : ''; ?>>Menu order</option><?php //preverjamo ce je vrednost instance enaka menu_order, ce je ga zberemo kot selected, ce ne pa blank ?>
								  <option value="ID" <?php echo $instance['orderby'] == "ID" ? 'selected="selected"' : ''; ?>>ID</option>
								</select>
			
							</p>
			<?php $instance['sort_order'] = !empty($instance['sort_order']) ? $instance['sort_order'] : 'asc'; //instanco dobimo, ce je instanca prazna dodamo ''
				?>
					<p>
						<label for="<?php echo $this->get_field_id( 'sort_order' ); ?>"><?php _e( 'Razvrsti po:' ); ?></label> 
					
								<select id="<?php echo $this->get_field_id('sort_order'); ?>" name="<?php echo $this->get_field_name('sort_order'); ?>"><?php //select boxu dolocimo id ?>
								  <option value="asc" <?php echo $instance['sort_order'] == "asc" ? 'selected="selected"' : ''; ?>>Naraščajoče</option><?php //preverjamo ce je vrednost instance enaka titlo, ce je ga zberemo kot selected, ce ne pa blank ?>
								  <option value="desc" <?php echo $instance['sort_order'] == "desc" ? 'selected="selected"' : ''; ?>>Padajoče</option><?php //preverjamo ce je vrednost instance enaka menu_order, ce je ga zberemo kot selected, ce ne pa blank ?>
								</select>
			
							</p>						

		<?php 	
		}
	}
}